Subject: Re: bug#79079: 31.0.50; Piped command output is sometimes lost in Eshell

From: Jim Porter <[email-masked]>
Date: Thu, 24 Jul 2025 09:47:41 -0700

On 7/24/2025 7:56 AM, Eli Zaretskii wrote:
>> From: Paul Eggert <[email-masked]>
>>
>> Not sure what you man by that, but I suspect it wouldn't handle the
>> scenario Jim describes, where the other process closes its end of the
>> pipe but keeps running. Emacs shouldn't assume that EPIPE means the
>> other process has died or has closed any pipes other than the one Emacs
>> got EPIPE on.
> 
> I guess I'm confused: if the other process closed its end of the pipe,
> why do we care about the stuff we have in our buffers that wasn't yet
> piped to that other process?

We could have a situation where a process closes stdin, but we still 
haven't read everything (or flushed our buffers) for that process's stdout.